/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NativeUIComponent } from "./NativeUIComponent";
import { NativeUIDisplayDensity_$type } from "./NativeUIDisplayDensity";
import { enumGetBox, EnumUtil, markType } from "./type";
/**
 * @hidden
 */
export let NativeUIButton = /*@__PURE__*/ (() => {
    class NativeUIButton extends NativeUIComponent {
        constructor() {
            super(...arguments);
            this.ay = null;
        }
        get_e() {
            return 1;
        }
        get a0() {
            let a = this.q(1);
            return a == null ? 1 : EnumUtil.getEnumValue(NativeUIDisplayDensity_$type, a);
        }
        set a0(a) {
            this.ak(1, enumGetBox(NativeUIDisplayDensity_$type, a));
        }
        get a1() {
            let a = this.q(3);
            return a;
        }
        set a1(a) {
            this.ak(3, a);
        }
        get az() {
            return this.ay;
        }
        set az(a) {
            let b = this.ay;
            this.ay = a;
            if (this.ay != null) {
                this.z(1, this.ay);
            }
            else {
                this.ai(1, b);
            }
        }
    }
    NativeUIButton.$t = /*@__PURE__*/ markType(NativeUIButton, 'NativeUIButton', NativeUIComponent.$);
    return NativeUIButton;
})();
